# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'launcher.ui'
#
# Created: Mon Apr 17 10:33:45 2017
#      by: PyQt5 UI code generator 5.2.1
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_launcher(object):
    def setupUi(self, launcher):
        launcher.setObjectName("launcher")
        launcher.resize(327, 411)
        self.verticalLayout = QtWidgets.QVBoxLayout(launcher)
        self.verticalLayout.setObjectName("verticalLayout")
        self.frame = QtWidgets.QFrame(launcher)
        self.frame.setFrameShape(QtWidgets.QFrame.Box)
        self.frame.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame.setObjectName("frame")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.frame)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.label_4 = QtWidgets.QLabel(self.frame)
        font = QtGui.QFont()
        font.setPointSize(22)
        font.setBold(True)
        font.setWeight(75)
        self.label_4.setFont(font)
        self.label_4.setAlignment(QtCore.Qt.AlignCenter)
        self.label_4.setObjectName("label_4")
        self.verticalLayout_2.addWidget(self.label_4)
        spacerItem = QtWidgets.QSpacerItem(20, 10, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        self.verticalLayout_2.addItem(spacerItem)
        self.version_info = QtWidgets.QLabel(self.frame)
        self.version_info.setAlignment(QtCore.Qt.AlignCenter)
        self.version_info.setObjectName("version_info")
        self.verticalLayout_2.addWidget(self.version_info)
        self.verticalLayout.addWidget(self.frame)
        spacerItem1 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        self.verticalLayout.addItem(spacerItem1)
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.AD_radioButton = QtWidgets.QRadioButton(launcher)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.AD_radioButton.setFont(font)
        self.AD_radioButton.setObjectName("AD_radioButton")
        self.gridLayout.addWidget(self.AD_radioButton, 0, 0, 1, 3)
        self.label_7 = QtWidgets.QLabel(launcher)
        self.label_7.setObjectName("label_7")
        self.gridLayout.addWidget(self.label_7, 5, 1, 1, 1)
        self.airport_select = AirportPicker(launcher)
        self.airport_select.setEnabled(False)
        self.airport_select.setFocusPolicy(QtCore.Qt.WheelFocus)
        self.airport_select.setObjectName("airport_select")
        self.gridLayout.addWidget(self.airport_select, 1, 2, 1, 1)
        self.ctrRadarPos_edit = QtWidgets.QLineEdit(launcher)
        self.ctrRadarPos_edit.setEnabled(False)
        self.ctrRadarPos_edit.setObjectName("ctrRadarPos_edit")
        self.gridLayout.addWidget(self.ctrRadarPos_edit, 6, 2, 1, 1)
        self.CTR_radioButton = QtWidgets.QRadioButton(launcher)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.CTR_radioButton.setFont(font)
        self.CTR_radioButton.setObjectName("CTR_radioButton")
        self.gridLayout.addWidget(self.CTR_radioButton, 4, 0, 1, 3)
        spacerItem2 = QtWidgets.QSpacerItem(30, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout.addItem(spacerItem2, 1, 0, 1, 1)
        self.label_6 = QtWidgets.QLabel(launcher)
        self.label_6.setObjectName("label_6")
        self.gridLayout.addWidget(self.label_6, 1, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(launcher)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 6, 1, 1, 1)
        self.ctrLocationCode_edit = QtWidgets.QComboBox(launcher)
        self.ctrLocationCode_edit.setEnabled(False)
        self.ctrLocationCode_edit.setEditable(True)
        self.ctrLocationCode_edit.setObjectName("ctrLocationCode_edit")
        self.gridLayout.addWidget(self.ctrLocationCode_edit, 5, 2, 1, 1)
        self.selectedAD_info = QtWidgets.QLabel(launcher)
        self.selectedAD_info.setText("")
        self.selectedAD_info.setObjectName("selectedAD_info")
        self.gridLayout.addWidget(self.selectedAD_info, 2, 2, 1, 1)
        self.label_2 = QtWidgets.QLabel(launcher)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 2, 1, 1, 1)
        spacerItem3 = QtWidgets.QSpacerItem(20, 10, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        self.gridLayout.addItem(spacerItem3, 3, 0, 1, 3)
        self.verticalLayout.addLayout(self.gridLayout)
        spacerItem4 = QtWidgets.QSpacerItem(20, 10, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        self.verticalLayout.addItem(spacerItem4)
        self.groupBox_2 = QtWidgets.QGroupBox(launcher)
        self.groupBox_2.setObjectName("groupBox_2")
        self.formLayout_2 = QtWidgets.QFormLayout(self.groupBox_2)
        self.formLayout_2.setObjectName("formLayout_2")
        self.label = QtWidgets.QLabel(self.groupBox_2)
        self.label.setObjectName("label")
        self.formLayout_2.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label)
        self.mapRange_edit = QtWidgets.QSpinBox(self.groupBox_2)
        self.mapRange_edit.setMinimum(20)
        self.mapRange_edit.setMaximum(500)
        self.mapRange_edit.setObjectName("mapRange_edit")
        self.formLayout_2.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.mapRange_edit)
        self.verticalLayout.addWidget(self.groupBox_2)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.exit_button = QtWidgets.QPushButton(launcher)
        self.exit_button.setObjectName("exit_button")
        self.horizontalLayout.addWidget(self.exit_button)
        spacerItem5 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem5)
        self.start_button = QtWidgets.QPushButton(launcher)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.start_button.setFont(font)
        self.start_button.setObjectName("start_button")
        self.horizontalLayout.addWidget(self.start_button)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.label_7.setBuddy(self.ctrLocationCode_edit)
        self.label_6.setBuddy(self.airport_select)
        self.label_3.setBuddy(self.ctrRadarPos_edit)
        self.label.setBuddy(self.mapRange_edit)

        self.retranslateUi(launcher)
        self.CTR_radioButton.toggled['bool'].connect(self.ctrLocationCode_edit.setEnabled)
        self.CTR_radioButton.toggled['bool'].connect(self.ctrRadarPos_edit.setEnabled)
        self.AD_radioButton.toggled['bool'].connect(self.airport_select.setEnabled)
        self.AD_radioButton.toggled['bool'].connect(self.airport_select.setFocus)
        self.CTR_radioButton.toggled['bool'].connect(self.ctrLocationCode_edit.setFocus)
        QtCore.QMetaObject.connectSlotsByName(launcher)
        launcher.setTabOrder(self.AD_radioButton, self.airport_select)
        launcher.setTabOrder(self.airport_select, self.CTR_radioButton)
        launcher.setTabOrder(self.CTR_radioButton, self.ctrLocationCode_edit)
        launcher.setTabOrder(self.ctrLocationCode_edit, self.ctrRadarPos_edit)
        launcher.setTabOrder(self.ctrRadarPos_edit, self.mapRange_edit)
        launcher.setTabOrder(self.mapRange_edit, self.start_button)
        launcher.setTabOrder(self.start_button, self.exit_button)

    def retranslateUi(self, launcher):
        _translate = QtCore.QCoreApplication.translate
        self.label_4.setText(_translate("launcher", "Welcome to ATC-pie"))
        self.version_info.setText(_translate("launcher", "##"))
        self.AD_radioButton.setText(_translate("launcher", "Airport mode (AD)"))
        self.label_7.setText(_translate("launcher", "Location code:"))
        self.CTR_radioButton.setText(_translate("launcher", "En-route control centre mode (CTR)"))
        self.label_6.setText(_translate("launcher", "ICAO code:"))
        self.label_3.setText(_translate("launcher", "Radar position:"))
        self.label_2.setText(_translate("launcher", "Airport name:"))
        self.groupBox_2.setTitle(_translate("launcher", "Options"))
        self.label.setText(_translate("launcher", "Map range:"))
        self.mapRange_edit.setSuffix(_translate("launcher", " NM"))
        self.exit_button.setText(_translate("launcher", "Exit"))
        self.start_button.setText(_translate("launcher", "Start!"))

from GUI.widgets.miscWidgets import AirportPicker
